# StringReplaceFilter Class Reference
[Tools for primitive's filtration]

Inheritance diagram for StringReplaceFilter:
[legend]

List of all members.

## Public Member Functions

| __construct ($search=null, $replace=null)
| setSearch ($search)
| getSearch ()
| setReplace ($replace)
| getReplace ()
| getCount ()
| apply ($value)

## Static Public Member Functions

static | create ($search=null, $replace=null)

## Private Attributes

| $search = null
| $replace = null
| $count = null

## Detailed Description

Definition at line 15 of file StringReplaceFilter.class.php.

## Constructor & Destructor Documentation

StringReplaceFilter::__construct | ( | $ | search = `null`,
|  | $ | replace = `null` |
| ) |  |  |

Definition at line 30 of file StringReplaceFilter.class.php.

References $replace, and $search.

## Member Function Documentation

StringReplaceFilter::apply | ( | $ | value | ) |

Implements Filtrator.

Definition at line 71 of file StringReplaceFilter.class.php.

static StringReplaceFilter::create | ( | $ | search = `null`,
|  | $ | replace = `null` |
| ) |  |  | `[static]`

Returns:
  StringReplaceFilter

Definition at line 25 of file StringReplaceFilter.class.php.

References $replace, and $search.

Referenced by Filter::replaceSymbols().

StringReplaceFilter::getCount | ( |  | ) |

Definition at line 66 of file StringReplaceFilter.class.php.

StringReplaceFilter::getReplace | ( |  | ) |

Definition at line 61 of file StringReplaceFilter.class.php.

StringReplaceFilter::getSearch | ( |  | ) |

Definition at line 46 of file StringReplaceFilter.class.php.

StringReplaceFilter::setReplace | ( | $ | replace | ) |

Returns:
  StringReplaceFilter

Definition at line 54 of file StringReplaceFilter.class.php.

References $replace.

StringReplaceFilter::setSearch | ( | $ | search | ) |

Returns:
  StringReplaceFilter

Definition at line 39 of file StringReplaceFilter.class.php.

References $search.

## Member Data Documentation

StringReplaceFilter::$count = null`[private]`

Definition at line 20 of file StringReplaceFilter.class.php.

StringReplaceFilter::$replace = null`[private]`

Definition at line 18 of file StringReplaceFilter.class.php.

Referenced by __construct(), create(), and setReplace().

StringReplaceFilter::$search = null`[private]`

Definition at line 17 of file StringReplaceFilter.class.php.

Referenced by __construct(), create(), and setSearch().

The documentation for this class was generated from the following file:

- core/Form/Filters/StringReplaceFilter.class.php